Skip to main content

Proposal Poll​

Retrieves Proposal Response based on unique productId,manufacturerId,productGroupId and requestId

Query Parameters
    productId Product id required
    manufacturerId Manufacturerid required
    requestId Requestid required
    productGroupId ProductGroupId required
Responses

Successful Response


Schema
    reqId string required

    Request Id assigned by 1SB

    data object required

    Section to carry proposal poll response

    status object required

    Status of the proposal submission

    code string

    Possible values: <= 50 characters

    Status code

    message string

    Status message

    ISBTracking object

    1SB tracking identifiers

    1SBproposalReferenceId string

    Transaction Id generated by 1SB for each proposal submission

    1SBQuoteRequestID string

    Quote ID generated by 1SB for Single quote

    varFields object[]

    Additional fields for 1SB tracking section

  • Array [
  • fieldName string

    Name of additional field

    fieldValue string

    Value of additional field

  • ]
  • ManufacturerTracking object

    Insurer tracking identifiers (quote ID, application number, policy number)

    quoteID string

    quotation ID

    applicationNumber string

    proposal application number

    policyNumber string

    policy number

    varFields object[]

    Additional fields for manufacturerTracking section

  • Array [
  • fieldName string

    Name of additional field

    fieldValue string

    Value of additional field

  • ]
  • URL object

    URLs returned by the insurer (policy, payment, mandate, resume journey)

    policyURL string

    policy URL

    paymentURL string

    URL for Payment redirection to manufacturers website

    applicationFormURL string

    Some insurers provide PDF to proposal form

    standingInstructionURL string

    URL given by manufacturer to complete mandate registration process

    resumeJourneyURL string

    URL given by manufacturer to resume to proposal process on their website

    varFields object[]

    Additional fields for URL section

  • Array [
  • fieldName string

    Name of additional field

    fieldValue string

    Value of additional field

  • ]
  • medicals object

    Medical requirement details for the submitted proposal

    isMedicalReq string

    Is medical check up required for submitted proposal? (Yes/ No)

    typeOfMedical string

    What type of medical check is applicable. example: Physical medical, tele medical, etc.

    varFields object[]

    Additional fields for URL section

  • Array [
  • fieldName string

    Name of additional field

    fieldValue string

    Value of additional field

  • ]
  • varFields object[]

    Additional fields for proposal response

  • Array [
  • fieldName string

    Name of additional field

    fieldValue string

    Value of additional field

  • ]
  • product_id string

    Possible values: <= 15 characters

    Product code for which the proposal is submitted

    manufacturer_id string

    Possible values: <= 15 characters

    Insurance company code

    line_of_business string

    Line of business / product group of the product

    isPollComplete boolean required

    Indicates if the proposal transaction is complete or not. Keep polling while false.

    errors object[] required

    This array contains error messages in case of an error

  • Array [
  • errorCode string

    Possible values: <= 50 characters

    Error code

    errorDisplayMessage string

    Possible values: <= 100 characters

    Error message to be displayed to the user

    errorIdentifier string

    Possible values: <= 20 characters

    Error identifier

    errorMessage string

    Possible values: <= 100 characters

    Error message

    errorType string

    Possible values: <= 10 characters

    Error type

  • ]
Loading...